Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.lucene40
Class Lucene40SegmentInfoReader

    java.lang.Object
      org.apache.lucene.codecs.SegmentInfoReader
          org.apache.lucene.codecs.lucene40.Lucene40SegmentInfoReader

    public class Lucene40SegmentInfoReader

extends SegmentInfoReader

Lucene 4.0 implementation of `SegmentInfoReader`.

See Also:
  `Lucene40SegmentInfoFormat`
WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`Lucene40SegmentInfoReader()` Sole constructor.

Method Summary
`SegmentInfo` | `read(Directory dir, String segment, IOContext context)` Read `SegmentInfo` data from a directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lucene40SegmentInfoReader

    public Lucene40SegmentInfoReader()

  Sole constructor.

Method Detail

### read

    public SegmentInfo read(Directory dir,
                            String segment,
                            IOContext context)
                     throws IOException

  Description copied from class: `SegmentInfoReader`
  Read `SegmentInfo` data from a directory.

  Specified by:
    `read` in class `SegmentInfoReader`
  Parameters:
    `dir` - directory to read from
    `segment` - name of the segment to read
  Returns:
    infos instance to be populated with data
  Throws:
    `IOException` - If an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.